Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmp
Class PKIFreeText

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmp.PKIFreeText

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PKIFreeText
extends ASN1Object

PKIFreeText ::= SEQUENCE SIZE (1..MAX) OF UTF8String -- text encoded as UTF-8 String [RFC3629] (note: each -- UTF8String MAY include an [RFC3066] language tag -- to indicate the language of the contained text -- see [RFC2482] for details)

Constructor Summary
`PKIFreeText(ASN1UTF8String p)`
`PKIFreeText(ASN1UTF8String[] strs)`
`PKIFreeText(java.lang.String p)`
`PKIFreeText(java.lang.String[] strs)`

Method Summary
`static PKIFreeText` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static PKIFreeText` | `getInstance(java.lang.Object obj)`
`DERUTF8String` | `getStringAt(int i)` Deprecated. Use `getStringAtUTF8(int)` instead.
`ASN1UTF8String` | `getStringAtUTF8(int i)` Return the UTF8STRING at index i.
`int` | `size()` Return the number of string elements present.
`ASN1Primitive` | `toASN1Primitive()` PKIFreeText ::= SEQUENCE SIZE (1..MAX) OF UTF8String

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIFreeText

    public PKIFreeText(ASN1UTF8String p)

### PKIFreeText

    public PKIFreeText(java.lang.String p)

### PKIFreeText

    public PKIFreeText(ASN1UTF8String[] strs)

### PKIFreeText

    public PKIFreeText(java.lang.String[] strs)

Method Detail

### getInstance

    public static PKIFreeText getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getInstance

    public static PKIFreeText getInstance(java.lang.Object obj)

### size

    public int size()

  Return the number of string elements present.

  Returns:
    number of elements present.

### getStringAt

    public DERUTF8String getStringAt(int i)

  Deprecated. Use `getStringAtUTF8(int)` instead.

  Return the UTF8STRING at index i.

  Parameters:
    `i` - index of the string of interest
  Returns:
    the string at index i.

### getStringAtUTF8

    public ASN1UTF8String getStringAtUTF8(int i)

  Return the UTF8STRING at index i.

  Parameters:
    `i` - index of the string of interest
  Returns:
    the string at index i.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  PKIFreeText ::= SEQUENCE SIZE (1..MAX) OF UTF8String

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD